### Hierarchy

- BaseFile
  - BareFile

## Index

### Constructors

- constructor

### Properties

- content
- readOnly

### Methods

- put
- putDetailed
- updateContent
- create
- fromCID
- instanceOf

## Constructors

### constructor

- new BareFile(content: FileContent): BareFile

- Inherited from BaseFile.constructor

  - Defined in fs/base/file.ts:13

  #### Parameters

  - ##### content: FileContent

  #### Returns BareFile

## Properties

### content

content: FileContent

Inherited from BaseFile.content

- Defined in fs/base/file.ts:10

### readOnly

readOnly: boolean

Inherited from BaseFile.readOnly

- Defined in fs/base/file.ts:11

## Methods

### put

- put(): Promise<CID>

- Overrides BaseFile.put

  - Defined in fs/bare/file.ts:24

  #### Returns Promise<CID>

### putDetailed

- putDetailed(): Promise<AddResult>

- Overrides BaseFile.putDetailed

  - Defined in fs/bare/file.ts:29

  #### Returns Promise<AddResult>

### updateContent

- updateContent(content: FileContent): Promise<BareFile>

- Inherited from BaseFile.updateContent

  - Defined in fs/base/file.ts:23

  #### Parameters

  - ##### content: FileContent

  #### Returns Promise<BareFile>

### Static create

- create(content: FileContent): BareFile

- - Defined in fs/bare/file.ts:11

  #### Parameters

  - ##### content: FileContent

  #### Returns BareFile

### Static fromCID

- fromCID(cid: CID): Promise<BareFile>

- - Defined in fs/bare/file.ts:15

  #### Parameters

  - ##### cid: CID

  #### Returns Promise<BareFile>

### Static instanceOf

- instanceOf(obj: unknown): obj is BareFile

- - Defined in fs/bare/file.ts:20

  #### Parameters

  - ##### obj: unknown

  #### Returns obj is BareFile

Generated using TypeDoc